package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_gas_oil_price_week
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsGasOilPriceWeek implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户编号
     */
    private String merNo;

    /**
     * 星期周期  1：星期一   2：星期二  3：星期三   4：星期四  5：星期五  6：星期六  7：星期天
     */
    private Integer weeks;

    /**
     * 油品类型  1:汽油:2:柴油;3:天然气
     */
    private Integer oilType;

    /**
     * 燃油类型名 1:汽油:2:柴油;3:天然气
     */
    private String oilTypeName;

    /**
     * 油号
     */
    private String oilNo;

    /**
     * 油品名称
     */
    private String oilNoName;

    /**
     * 官方指导价
     */
    private BigDecimal priceOfficial;

    /**
     * 枪价
     */
    private BigDecimal priceGun;

    /**
     * 优惠价
     */
    private BigDecimal priceVip;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public Integer getWeeks() {
        return weeks;
    }

    public void setWeeks(Integer weeks) {
        this.weeks = weeks;
    }

    public Integer getOilType() {
        return oilType;
    }

    public void setOilType(Integer oilType) {
        this.oilType = oilType;
    }

    public String getOilTypeName() {
        return oilTypeName;
    }

    public void setOilTypeName(String oilTypeName) {
        this.oilTypeName = oilTypeName;
    }

    public String getOilNo() {
        return oilNo;
    }

    public void setOilNo(String oilNo) {
        this.oilNo = oilNo;
    }

    public String getOilNoName() {
        return oilNoName;
    }

    public void setOilNoName(String oilNoName) {
        this.oilNoName = oilNoName;
    }

    public BigDecimal getPriceOfficial() {
        return priceOfficial;
    }

    public void setPriceOfficial(BigDecimal priceOfficial) {
        this.priceOfficial = priceOfficial;
    }

    public BigDecimal getPriceGun() {
        return priceGun;
    }

    public void setPriceGun(BigDecimal priceGun) {
        this.priceGun = priceGun;
    }

    public BigDecimal getPriceVip() {
        return priceVip;
    }

    public void setPriceVip(BigDecimal priceVip) {
        this.priceVip = priceVip;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsGasOilPriceWeek other = (BsGasOilPriceWeek) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerNo() == null ? other.getMerNo() == null : this.getMerNo().equals(other.getMerNo()))
            && (this.getWeeks() == null ? other.getWeeks() == null : this.getWeeks().equals(other.getWeeks()))
            && (this.getOilType() == null ? other.getOilType() == null : this.getOilType().equals(other.getOilType()))
            && (this.getOilTypeName() == null ? other.getOilTypeName() == null : this.getOilTypeName().equals(other.getOilTypeName()))
            && (this.getOilNo() == null ? other.getOilNo() == null : this.getOilNo().equals(other.getOilNo()))
            && (this.getOilNoName() == null ? other.getOilNoName() == null : this.getOilNoName().equals(other.getOilNoName()))
            && (this.getPriceOfficial() == null ? other.getPriceOfficial() == null : this.getPriceOfficial().equals(other.getPriceOfficial()))
            && (this.getPriceGun() == null ? other.getPriceGun() == null : this.getPriceGun().equals(other.getPriceGun()))
            && (this.getPriceVip() == null ? other.getPriceVip() == null : this.getPriceVip().equals(other.getPriceVip()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerNo() == null) ? 0 : getMerNo().hashCode());
        result = prime * result + ((getWeeks() == null) ? 0 : getWeeks().hashCode());
        result = prime * result + ((getOilType() == null) ? 0 : getOilType().hashCode());
        result = prime * result + ((getOilTypeName() == null) ? 0 : getOilTypeName().hashCode());
        result = prime * result + ((getOilNo() == null) ? 0 : getOilNo().hashCode());
        result = prime * result + ((getOilNoName() == null) ? 0 : getOilNoName().hashCode());
        result = prime * result + ((getPriceOfficial() == null) ? 0 : getPriceOfficial().hashCode());
        result = prime * result + ((getPriceGun() == null) ? 0 : getPriceGun().hashCode());
        result = prime * result + ((getPriceVip() == null) ? 0 : getPriceVip().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", merId=").append(merId);
        sb.append(", merNo=").append(merNo);
        sb.append(", weeks=").append(weeks);
        sb.append(", oilType=").append(oilType);
        sb.append(", oilTypeName=").append(oilTypeName);
        sb.append(", oilNo=").append(oilNo);
        sb.append(", oilNoName=").append(oilNoName);
        sb.append(", priceOfficial=").append(priceOfficial);
        sb.append(", priceGun=").append(priceGun);
        sb.append(", priceVip=").append(priceVip);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}